#/bin/sh

echo "Registering the base VM"
VBoxManage registervm /disk/scratch/escoursework/es_vm.vbox
echo "Cloning the VM"
VBoxManage clonevm /disk/scratch/escoursework/es_vm.vbox --name student_es_vm --register
echo "Unregistering the base VM"
VBoxManage unregistervm es_vm
echo "Attaching VM image..."
VBoxManage storageattach student_es_vm --storagectl "SATA Controller" --port 0 --device 0 --type hdd --medium /disk/scratch/escoursework/es_vm.vdi --mtype immutable
echo "Adding shared folder..."
VBoxManage sharedfolder add student_es_vm --name afs_shared --hostpath $HOME
echo "All done! Use LaunchVM.sh to launch the VM."
